QGIS installer does not recognize Python versions greater than v3.6
Status: Closed

Priority: High

Assignee:

Category: Build/Install

Affected QGIS version:3.2.1 Regression?: No

Operating System: macOS High Sierra v10.13.3 Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 27433

Description

OS - macOS High Sierra v10.13.3

Downloaded QGIS3 (QGIS-macOS-3.2.1-1.dmg), installed Python v3.7 (python-3.7.0-macosx10.9.pkg) and QGIS3 installer does not

recognize that Python v3.7 is installed but gives message that it requires Python v3.6

History

#1 - 2018-08-13 01:24 PM - Giovanni Manghi

- Status changed from Open to Feedback

afaik, qgis makes its own python installation also on macOS (as on Windows), not 100% sure anyway.

#2 - 2018-08-13 01:39 PM - Herman van der Merwe

Giovanni Manghi wrote:

afaik, qgis makes its own python installation also on macOS (as on Windows), not 100% sure anyway.

If I follow the instructions as per the QGIS3 installation package, I need to install:

1. Python 3.6 (I did not use homebrew to install, but the downloaded Python *.pkg as stated above.)

2. Install GDAL (I did this from the QGIS3 *.dmg)

3. Install QGIS3

This is what I did and during step 3, QGIS3 installer stop with the message.

This issue is also mentioned here -> https://gis.stackexchange.com/a/274557

Please remember that macOS requires Python v2.7.x and nothing greater. So QGIS3 users need to ensure Python v2.7 and Python 3.6+ co-exists on the

same machine and QGIS should be able to recognise this dual existence.

#3 - 2018-11-11 04:15 AM - Jürgen Fischer

- Resolution set to invalid

- Status changed from Feedback to Closed
https://gis.stackexchange.com/a/274557


That's not a bug and documented on the download page
https://qgis.org/en/site/forusers/download.html

